Summary: Utility to display nice dialog boxes from shell scripts
%define PACKAGE_NAME dialog-glibc
Name: %{PACKAGE_NAME}
Version: 0.6
Release: 1
Source: dialog-0.6c.tar.gz
Patch: dialog-0.6-config.patch
Copyright: GPL
BuildRoot: /tmp/dialog-0.6-root
Group: Utilities/Console
Provides: dialog-0.6 dialog
Requires: ncurses

%description
dialog is typically invoked from a shell script and puts nice
yes-no/checklist/radio-button - menues on your screen.
(Text is just passed on as arguments to dialog.)

%prep
%setup -n dialog-0.6c

%patch0 -p1

%build

make OPTIM="$RPM_OPT_FLAGS -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT

install -d -m 755 $RPM_BUILD_ROOT/usr/man/man1
install -d -m 755 $RPM_BUILD_ROOT/usr/bin

make install MANDIR=$RPM_BUILD_ROOT/usr/man/man1 BINDIR=$RPM_BUILD_ROOT/usr/bin

strip $RPM_BUILD_ROOT/usr/bin/dialog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING README
%doc ./samples
/usr/man/man1/dialog.1
/usr/bin/dialog